Subject: [Tigers] car facts

From: "Clyde McLaughlin" <[email-masked]>
Date: Sat, 13 Dec 2014 16:32:08 -0500

Just imagine how many other car facts and discriptions have been flawed over
the years..we know tigers,  but may not know specifics of other cars that
are auctioned on the show and we get some inaccurate facts and discriptions
of other marques that catch our interest.. oh well.  But remember if you say
it on line it MUST be true, Ha Ha!!  Clyde   P.S. Does any

one really care about a 2 horse power delta???  It's just the point I know.
_______________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]